# OrderedProductInput

### Fields

#### metadata ([JSON](/graphql-api/api-reference/objects/json.md))

Metadata that can be used by developers to store additional information on objects.

#### sku ([String](/graphql-api/api-reference/objects/string.md))

SKU for the related product

#### slug ([String](/graphql-api/api-reference/objects/string.md))

Slug for the related product

#### productId ([ID](/graphql-api/api-reference/objects/id.md))

ID for the related product

#### shopifyVariantId ([ID](/graphql-api/api-reference/objects/id.md))

Shopify variant ID for the Firmhouse product

#### id ([ID](/graphql-api/api-reference/objects/id.md))

Id of this ordered product

#### quantity ([Int](/graphql-api/api-reference/objects/int.md))

The quantity for this ordered product.

#### customPriceCents ([Int](/graphql-api/api-reference/objects/int.md))

A custom price in cents for this ordered product, if left blank the default product price will be used

#### shipmentDate ([ISO8601Date](/graphql-api/api-reference/objects/iso-8601-date.md))

The next date on which a new order should get initiated

#### interval ([Int](/graphql-api/api-reference/objects/int.md))

The amount of time in units between shipments of this order

#### intervalUnitOfMeasure ([String](/graphql-api/api-reference/objects/string.md))

The time measure for interval units


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/ordered-product-input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
